Bullet Collision Detection & Physics Library: btSymmetricSpatialDyad Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSymmetricSpatialDyad Struct Reference

`#include <btSpatialAlgebra.h>`

Collaboration diagram for btSymmetricSpatialDyad:
[legend]

## Public Member Functions
| btSymmetricSpatialDyad ()
| btSymmetricSpatialDyad (const btMatrix3x3 &topLeftMat, const btMatrix3x3 &topRightMat, const btMatrix3x3 &bottomLeftMat)
void | setMatrix (const btMatrix3x3 &topLeftMat, const btMatrix3x3 &topRightMat, const btMatrix3x3 &bottomLeftMat)
void | addMatrix (const btMatrix3x3 &topLeftMat, const btMatrix3x3 &topRightMat, const btMatrix3x3 &bottomLeftMat)
void | setIdentity ()
btSymmetricSpatialDyad & | operator-= (const btSymmetricSpatialDyad &mat)
btSpatialForceVector | operator* (const btSpatialMotionVector &vec)

## Public Attributes
btMatrix3x3 | m_topLeftMat
btMatrix3x3 | m_topRightMat
btMatrix3x3 | m_bottomLeftMat

## Detailed Description

Definition at line 186 of file btSpatialAlgebra.h.

## Constructor & Destructor Documentation

## ◆ btSymmetricSpatialDyad() [1/2]

btSymmetricSpatialDyad::btSymmetricSpatialDyad | ( |  | ) |
| inline

Definition at line 190 of file btSpatialAlgebra.h.

## ◆ btSymmetricSpatialDyad() [2/2]

btSymmetricSpatialDyad::btSymmetricSpatialDyad | ( | const btMatrix3x3 & | topLeftMat,
|  | const btMatrix3x3 & | topRightMat,
|  | const btMatrix3x3 & | bottomLeftMat
| ) |  |
| inline

Definition at line 191 of file btSpatialAlgebra.h.

## Member Function Documentation

## ◆ addMatrix()

void btSymmetricSpatialDyad::addMatrix | ( | const btMatrix3x3 & | topLeftMat,
|  | const btMatrix3x3 & | topRightMat,
|  | const btMatrix3x3 & | bottomLeftMat
| ) |  |
| inline

Definition at line 200 of file btSpatialAlgebra.h.

## ◆ operator*()

btSpatialForceVector btSymmetricSpatialDyad::operator* | ( | const btSpatialMotionVector & | vec | ) |
| inline

Definition at line 222 of file btSpatialAlgebra.h.

## ◆ operator-=()

btSymmetricSpatialDyad & btSymmetricSpatialDyad::operator-= | ( | const btSymmetricSpatialDyad & | mat | ) |
| inline

Definition at line 214 of file btSpatialAlgebra.h.

## ◆ setIdentity()

void btSymmetricSpatialDyad::setIdentity | ( |  | ) |
| inline

Definition at line 207 of file btSpatialAlgebra.h.

## ◆ setMatrix()

void btSymmetricSpatialDyad::setMatrix | ( | const btMatrix3x3 & | topLeftMat,
|  | const btMatrix3x3 & | topRightMat,
|  | const btMatrix3x3 & | bottomLeftMat
| ) |  |
| inline

Definition at line 193 of file btSpatialAlgebra.h.

## Member Data Documentation

## ◆ m_bottomLeftMat

btMatrix3x3 btSymmetricSpatialDyad::m_bottomLeftMat

Definition at line 188 of file btSpatialAlgebra.h.

## ◆ m_topLeftMat

btMatrix3x3 btSymmetricSpatialDyad::m_topLeftMat

Definition at line 188 of file btSpatialAlgebra.h.

## ◆ m_topRightMat

btMatrix3x3 btSymmetricSpatialDyad::m_topRightMat

Definition at line 188 of file btSpatialAlgebra.h.

The documentation for this struct was generated from the following file:

- btSpatialAlgebra.h